Bug 1028853 - [abrt] firewall-config-0.3.7-1.fc19: firewall-config:1832:onChangeZone:ValueError: list.remove(x): x not in list
[abrt] firewall-config-0.3.7-1.fc19: firewall-config:1832:onChangeZone:ValueE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cf4a011d5fc1e4fc174b87fe9ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 22:58 EST by Guillaume Poirier-Morency
Modified: 2014-03-08 23:42 EST (History)
3 users (show)

See Also:
Fixed In Version: firewalld-0.3.9.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 00:54:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (963 bytes, text/plain)
2013-11-10 22:58 EST, Guillaume Poirier-Morency
no flags Details
File: environ (1.61 KB, text/plain)
2013-11-10 22:58 EST, Guillaume Poirier-Morency
no flags Details

  None (edit)
Description Guillaume Poirier-Morency 2013-11-10 22:58:21 EST
Version-Release number of selected component:
firewall-config-0.3.7-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/firewall-config
executable:     /usr/bin/firewall-config
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
firewall-config:1832:onChangeZone:ValueError: list.remove(x): x not in list

Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 1832, in onChangeZone
    _services.remove(name)
ValueError: list.remove(x): x not in list

Local variables in innermost frame:
masquerade: False
_services: ['ipp-client', 'mdns', 'ssh']
name: 'dhcpv6-client'
zone: <firewall.client.FirewallClientConfigZone object at 0x2477d50>
settings: <firewall.client.FirewallClientZoneSettings object at 0x2477ed0>
default: True
interfaces: []
args: (<TreeSelection object at 0x246cc80 (GtkTreeSelection at 0x212c320)>,)
iter: <GtkTreeIter at 0x2774b20>
self: <__main__.FirewallConfig object at 0x1f22fd0>
old_handler: <bound method FirewallConfig._exception_handler of <__main__.FirewallConfig object at 0x1f22fd0>>
builtin: True
icmpblocks: []
sources: []
services: ['dhcpv6-client', 'ipp-client', 'mdns', 'ssh']
active_zone: 'work'
forward_ports: []
ports: []
rules: []
Comment 1 Guillaume Poirier-Morency 2013-11-10 22:58:28 EST
Created attachment 822256 [details]
File: backtrace
Comment 2 Guillaume Poirier-Morency 2013-11-10 22:58:31 EST
Created attachment 822257 [details]
File: environ
Comment 4 Fedora Update System 2014-01-13 11:47:23 EST
firewalld-0.3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.9-1.fc20
Comment 5 Fedora Update System 2014-01-13 11:50:12 EST
firewalld-0.3.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.9-1.fc19
Comment 6 lnie 2014-01-14 00:37:37 EST
firewalld-0.3.9-1.fc20 works fine
Comment 7 Fedora Update System 2014-01-14 03:39:29 EST
Package firewalld-0.3.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0738/firewalld-0.3.9-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-15 00:54:31 EST
firewalld-0.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-03-08 23:42:56 EST
firewalld-0.3.9.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.